GenericHID(1)

NAME
generichid - build your own USB HID device.

SYNOPSIS
generichid [file]

DESCRIPTION
generichid is used to interactively design and program USB HID devices based on the Atmel AT90USB1287/AT90USB1286 microcontroller. The cheapest development board is the teensy++ 2.0 or the AT90USBKey which can be picked up for under $US30. A USB HID device is a Human Interface Device, the technical name for joysticks, gamepads, and other devices used for input. This project was started to build CNC pendants, originally for Mach3, and the EMC, the Enhanced Machine Controller, To build a device, run generichid and drag and drop a microcontroller board and components onto the canvas, then connect the compoents and the board with wires. Then program the device from the program menu. Of course, this only programs the microcontroller; you still need to physically wire the components to the microcontroller board.

generichid supports...

    • Buttons

    • Analogue Inputs (potentiometers, other analogue sources)

    • Digital Encoders

    • Key Matrix (either a keypad, or a matrix of hand wired buttons)

    • Rotary Selector Switches

    • Character LCD Display Modules

    • LEDs

    • Bi-Colour LEDs

    • Tri-Colour LEDs

    • RGB LEDs

    • Directional Switches (eg Hatswitches, Arcade type joysticks)

    • Counter

    • PWM Outputs

Full documentation is available in the online help, or at

OPTIONS

file
    An existing configuration file can be passed in as an argument.

AUTHOR
Frank Tkalcevic <ftkalcevic at franksworkshop dot com dot au>

REPORTING BUGS
Report bugs to the author.

COPYRIGHT
Copyright © 2009 Frank Tkalcevic
This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.